%global pypi_name josepy

%global py3_prefix python%{python3_pkgversion}

%bcond_without docs

Summary:        JOSE protocol implementation in Python
Name:           python-%{pypi_name}
Version:        1.13.0
Release:        4%{?dist}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/josepy
Source0:        %{pypi_source}
BuildArch:      noarch

Patch3000:         0000-ignore-missing-linters.patch
Patch3001:         0001-stop-using-pkg_resources.patch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

# Used to verify OpenPGP signature
BuildRequires:  gnupg2

%if %{with docs}
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
%endif

%description
JOSE protocol implementation in Python using cryptography.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
Provides:  python3-josepy


%if %{with docs}
Recommends:     python-%{pypi_name}-doc
%endif

%description -n python3-%{pypi_name}
JOSE protocol implementation in Python using cryptography.

This is the Python 3 version of the package.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        Documentation for python-%{pypi_name}
%description -n python-%{pypi_name}-doc
Documentation for python-%{pypi_name}
%endif

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

# Build documentation
%if %{with docs}
%{__python3} setup.py install --user
make -C docs man PATH=${HOME}/.local/bin:$PATH SPHINXBUILD=sphinx-build-3
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with docs}
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 docs/_build/man/*.1*
%endif

%check
%pytest -Wdefault

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/jws

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc README.rst
%{_mandir}/man1/*
%endif

%changelog
* Thu Oct 19 2023 Yi Lin <nilusyi@tencent.com>  - 1.13.0-4
- remove unused cert.pub

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 29 2023 Yi Lin <nilusyi@tencent.com> - 1.13.0-1
- package init.
